/*
    Random.m
    Copyright 1995, NeXT, Inc.
    Irresponsibility: Charles d'Harcourt
*/

/* Interface. */
#import "Random.h"

/* Kits. */
#ifdef NeXT_PDO
#import <math.h>
#import <stdlib.h>
#else
#import <ansi/math.h>
#import <ansi/stdlib.h>
#endif


@implementation Random


/*************** Initializing. ***************/

+ (id)initialize {

    if ([self class] == [Random class]) {
	srand(time(NULL));
    }

    return self;
}


/*************** Generating random numbers. ***************/

+ (NSString*)randomString
{
    return [NSString stringWithFormat:@"%d", [self randomIntBetween:1 and:1000000]];
}

+ (double)randomDouble
{
    return (rand() / (RAND_MAX + 1.0));
}

+ (float)randomFloat
{
    return [self randomDouble];
}

+ (int)randomIntBetween:(int)min and:(int)max
{
    return floor(min + [self randomDouble] * (max - min + 1.0));
}


@end
