/*
 *	BlatMailer.h
 *
 *	Objective-C wrapper class for BLAT
 *
 *	Copyright (C) 1996 Luke Howard lukeh@xedoc.com
 *
 *	You may freely copy, distribute and reuse the code in this example as
 *	long as you maintain the copyright notice.
 *
 *	Luke Howard disclaims any warranty of any kind, expressed or implied, as to
 *	its fitness for any particular use.
 *
 *	You must create the various Registry entries with "blat -install" first.
 *
 */

#ifdef USE_WO_BLAT

#ifdef OPENSTEP
#import <Foundation/NSObject.h>
#else
#import <foundation/NSObject.h>
#endif

@class NSArray, NSString, NSDictionary, NSNumber;

@interface BlatMailer:NSObject
{
	BOOL quiet, mime;
	NSString *smtpHost;
}
+ (BlatMailer *)sharedInstance;

- (void)setServer:(NSString *)host;

- (void)setQuiet:(BOOL)val;
- (BOOL)quiet;
- (int)blatMail:(NSString *)message withHeaders:(NSDictionary *)suppliedHeaders;
- (NSString *)descriptionForErrorCode:(int)code;
- (NSString *)parseHeaderLine:(NSString *)header;
- (NSString *)makeRecipientListFromHeaders:(NSDictionary *)headers;
@end

#endif
