/*
 *	Sendmail.h
 *
 *	Objective-C wrapper class for sendmail
 *
 *	Copyright (C) 1996 Luke Howard lukeh@xedoc.com
 *
 *	You may freely copy, distribute and reuse the code in this example
 *	for non-commercial purposes, otherwise you should contact me.
 *
 *	Luke Howard disclaims any warranty of any kind, expressed or implied, as to
 *  its fitness for any particular use.
 */
 
#ifdef OPENSTEP
#import <Foundation/NSObject.h>
#else
#import <foundation/NSObject.h>
#endif

@class NSArray, NSString, NSDictionary, NSNumber;

#ifdef USE_WO_BLAT
@class BlatMailer;
#endif

@interface Sendmail:NSObject
{
#ifdef USE_WO_BLAT
	BlatMailer *sharedBlat;
#endif
	NSMutableString *lastError;
	int exitCode;
	BOOL mime;
}
+ (Sendmail *)sharedInstance;
- (BOOL)postMessage:(NSString *)message
	from:(NSString *)sender
	to:(NSArray *)recipient
	withSubject:(NSString *)subject
	andHeaders:(NSDictionary *)headers;
- (BOOL)postMessage:(NSString *)message
	from:(NSString *)sender
	to:(NSString *)aRecipient
	withSubject:(NSString *)subject;
- (BOOL)postMessage:(NSString *)message
	withHeaders:(NSDictionary *)headers;
- (NSString *)escapeString:(NSString *)str;
- (NSString *)lastError;
- (NSNumber *)lastExitCode;
- (void)setMime:(BOOL)val;
- (BOOL)mime;
#if defined(USE_WO_BLAT) && defined(DEBUG)
- sharedBlat;
#endif
@end
